Update conversation attachment
Server:
https://{kibana_url}
- PUT /api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
- PUT /s/{space_id}/api/agent_builder/conversations/{conversation_id}/attachments/{attachment_id}
Refer to Spaces for more information.
Update an attachment content. Creates a new version if content changed.
[Required authorization] Route required privileges: agentBuilder:read.
Path Parameters
-
conversation_idstringrequired -
The unique identifier of the conversation.
-
attachment_idstringrequired -
The unique identifier of the attachment to update.
Request
-
dataobjectrequired -
The new attachment data/content.
-
descriptionstring -
Optional new description for the attachment.
Response
200
application/json
Indicates a successful response